mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# IspellUsePrefixes

## Name

IspellUsePrefixes -- allows to use Ispell prefixes at search time

`search.htm`

## Synopsis

IspellUsePrefixes {yes | no}

## Description

IspellUsePrefixes defines if search.cgi should use prefix rules to generate word forms when doing Ispell-based stemming.

By default, mnoGoSearch does not use prefix rules, and uses only suffix rules for word form generation. Prefix rules usually change a word meaning inside out:

    normal -> abnormal
    natural -> unnatural

When IspellUsePrefixes is set to `yes`, search.cgi starts using prefix rules to generate word forms.

## See also

Affix, AlwaysFoundWord, Dehyphenate, Spell, SQLWordForms, StopwordFile, Synonym, UseNumericOperators.

Prev | Home | Next
IndexTime | Up | LangMapFile